<!DOCTYPE html>
<html>
<style>
    .card {
        box-shadow: -2px 4px 8px 0 gray;
        transition: 0.3s;
        border-radius: 15px;
        margin-top: 20px;
    }

    .img-size {
        width: 320px;
        margin: 5px;
    }

    .avatar {
        border-radius: 50%;
        width: 100px;
    }
</style>

<body>
    <h3>Subtitle</h3>
    <h4>Posts</h4>
    <div id="list-item">
    </div>
</body>

<script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.4.1.min.js"></script>
<script src="https://kit.fontawesome.com/010137b4e0.js"></script>

<script type="text/javascript">
    renderData();
    function renderData() {
        var authors;
        var posts;

        readTextFile("authors.json", function (text) {
            authors = JSON.parse(text);
            readTextFile("posts.json", function (text) {
                posts = JSON.parse(text);
                mapData(posts, authors);
            });
        });
    }

    function mapData(posts, authors) {

        posts.forEach(item => {
            var authors_id = item["author_id"];
            for (var i = 0; i < authors.length; i++) {
                const element = authors[i].id;
                if (element == authors_id) {
                    item["author_detail"] = authors[i];
                    renderList(item);
                }
            }
        });
    }

    function renderList(item) {
        var tag = '<div class="card">' +
            '<table style="width: 100%;">' +
            ' <tr><td style="width: 320px"><img id="img-first" src="' + item.image_url + '" class="img-size"></td>' +
            '<td style="display: block;width: 40%;"><h3 id="title">' + item.title + '</h3><p id="body">' + item.body + '</p><p id="created_at" style="color: gray;"><i class="far fa-clock"></i> ' + item.created_at + '</p></td>' +
            '<td style="text-align: center;border-left: 1px solid rgb(51, 50, 50);width: 30%;">' +
            '<img id="img-avatars" src="' + item.author_detail["avatar_url"] + '" class="avatar">' +
            '<h3 id="name" style="color: brown">' + item.author_detail["name"] + '</h3>' +
            '<h3 id="role">' + item.author_detail["role"] + '</h3>' +
            '<p id="place"><i class="fas fa-map-marker-alt"></i> ' + item.author_detail["place"] + '</p></td></tr></table></div >';
        $("#list-item").append(tag);
    }


    function readTextFile(file, callback) {
        var rawFile = new XMLHttpRequest();
        rawFile.overrideMimeType("application/json");
        rawFile.open("GET", file, true);
        rawFile.onreadystatechange = function () {
            if (rawFile.readyState === 4 && rawFile.status == "200") {
                callback(rawFile.responseText);
            }
        }
        rawFile.send(null);
    }
</script>

</html>